corda / net.corda.flows / NotaryChangeFlow / Acceptor

# Acceptor

`class Acceptor : Acceptor<Party>`

### Constructors

<init> | `Acceptor(otherSide: Party, progressTracker: ProgressTracker = tracker())`

### Properties

progressTracker | `val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

### Inherited Properties

otherSide | `val otherSide: Party`

### Functions

verifyProposal | `fun verifyProposal(proposal: Proposal<Party>): Unit` Check the notary change proposal.

### Inherited Functions

call | `open fun call(): Void?` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.